---
- name: Ensure gitops directories exist
  include_tasks:
    file: create_gitops_dirs.yml
  vars:
    gitops_component: osus

- name: Template OSUS objects
  template:
    src: osus/{{ item }}.yml.j2
    dest: "{{ openshift_gitops_dir }}/osus/assets/{{ item }}.yaml"
  loop:
  - namespace
  - operatorgroup
  - subscription
  - gitops-rolebinding
  - updateservice
  - update-cv-job-sa
  - update-cv-job-rolebinding
  - update-cv-job

- name: Generate kustomization file
  include_tasks:
    file: generate_kustomization.yml
  vars:
    gitops_component: osus
    gitops_component_has_upstream: false
